For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • Mocking Eligibility Checks
          • POSTPost
          • POSTBatch
          • GETPoll Batch
          • GETPayer Search
          • GETRecommendation
          • POSTCreate Recommendation
          • PUTVote Recommendation
          • GETGet Multi
Contact Sales
LogoLogo
API ReferencePre EncounterEligibility ChecksV1

Recommendation

GA
GET
/eligibility-checks/v1/recommendation
GET
/eligibility-checks/v1/recommendation
$curl https://pre-api.joincandidhealth.com/eligibility-checks/v1/recommendation \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "deactivated": true,
4 "eligibility_check_id": "eligibility_check_id",
5 "id": "id",
6 "organization_id": "organization_id",
7 "patient": {
8 "id": "id",
9 "mrn": "mrn",
10 "organization_id": "organization_id",
11 "last_name": "last_name",
12 "first_name": "first_name",
13 "date_of_birth": "2023-01-15",
14 "member_id": "member_id"
15 },
16 "recommendation": {
17 "type": "MEDICARE_ADVANTAGE",
18 "payload": {
19 "ma_benefit": {
20 "key": "value"
21 },
22 "payer_id": "payer_id",
23 "payer_name": "payer_name",
24 "member_id": "member_id"
25 }
26 },
27 "updated_at": "2024-01-15T09:30:00Z",
28 "updating_user_id": "updating_user_id",
29 "version": 1,
30 "coverage_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
31 "votes": [
32 {
33 "user_id": "user_id",
34 "value": "UPVOTE"
35 },
36 {
37 "user_id": "user_id",
38 "value": "UPVOTE"
39 }
40 ]
41 },
42 {
43 "deactivated": true,
44 "eligibility_check_id": "eligibility_check_id",
45 "id": "id",
46 "organization_id": "organization_id",
47 "patient": {
48 "id": "id",
49 "mrn": "mrn",
50 "organization_id": "organization_id",
51 "last_name": "last_name",
52 "first_name": "first_name",
53 "date_of_birth": "2023-01-15",
54 "member_id": "member_id"
55 },
56 "recommendation": {
57 "type": "MEDICARE_ADVANTAGE",
58 "payload": {
59 "ma_benefit": {
60 "key": "value"
61 },
62 "payer_id": "payer_id",
63 "payer_name": "payer_name",
64 "member_id": "member_id"
65 }
66 },
67 "updated_at": "2024-01-15T09:30:00Z",
68 "updating_user_id": "updating_user_id",
69 "version": 1,
70 "coverage_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
71 "votes": [
72 {
73 "user_id": "user_id",
74 "value": "UPVOTE"
75 },
76 {
77 "user_id": "user_id",
78 "value": "UPVOTE"
79 }
80 ]
81 }
82]

Gets recommendation for eligibility checks based on filters. This endpoint will retrieve all the latest eligibility recommendations for each eligibility recommendation type for the given filters. If you want to get a specific recommendation type, you can use the type query parameter.

Was this page helpful?
Previous

Create Recommendation

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Query parameters

filtersstringOptional
A serialized list of filters separated by commas indicating filters to apply. Each filter is of the form 'path:operator:value'. Example: 'patient.mrn|eq|12345'. Filters are separated by commas. Example: 'patient.mrn|eq|12345,appointment.startDate|gt|67890'. All filters are ANDed together. Valid operators are 'eq', 'gt', 'lt', 'contains', 'ieq', 'in'. ieq is a case-insensitive equality operator. in allows searching for values that match any item in a semicolon-separated list (e.g., 'patient.id|in|foo;bar;baz'). Path values are camelCase.

Response

This endpoint returns a list of objects.
deactivatedboolean
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
eligibility_check_idstring
idstring
The unique UUID identifier for an EligibilityRecommendation.
organization_idstring
The organization that owns this object.
patientobject
An object representing patient information for an eligibility recommendation. This is used to find recommendations. Each field helps us find the right corresponding eligibility recommendation for the patient.
recommendationobject
updated_atdatetime
updating_user_idstring
The user ID of the user who last updated the object.
versioninteger
The version of the object. Any update to any property of an object object will create a new version.
coverage_idUUID
The unique identifier for a Coverage in the database
voteslist of objects
Array of votes for this recommendation

A serialized list of filters separated by commas indicating filters to apply. Each filter is of the form ‘path:operator:value’. Example: ‘patient.mrn|eq|12345’. Filters are separated by commas. Example: ‘patient.mrn|eq|12345,appointment.startDate|gt|67890’. All filters are ANDed together. Valid operators are ‘eq’, ‘gt’, ‘lt’, ‘contains’, ‘ieq’, ‘in’. ieq is a case-insensitive equality operator. in allows searching for values that match any item in a semicolon-separated list (e.g., ‘patient.id|in|foo;bar;baz’). Path values are camelCase.